=== debian/changelog ===
wmget (0.6.0-5) unstable; urgency=medium

  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
    - Tidy up using wrap-and-sort.
  * debian/{copyright,patches}
    - Update email address.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 23 Aug 2015 13:03:35 -0400

wmget (0.6.0-4) unstable; urgency=medium

  * New maintainer (Closes: #776650).
  * debian/compat
    - Bump to 9.
  * debian/control
    - Bump versioned dependency on debhelper to >=9.
    - Bump Standards-Version to 3.9.6.
    - Add Homepage and Vcs-*.
    - Remove trailing whitespace from Description.
    - Add ${misc:Depends} to Depends.
    - Remove dpatch from Build-Depends.
    - Switch Build-Depends on libcurl3-dev to libcurl4-openssl-dev.
    - Add ${perl:Depends} to Depends.
  * debian/copyright
    - Update to DEP5 machine-readable format v1.0.
  * debian/docs
    - Remove wmget.refentry.xml; this is the source file for the manpage,
      not user-readable documentation.
  * debian/{docs,install}
    - Move wmget-test.pl from /usr/share/doc/wmget to /usr/share/wmget.
  * debian/patches/01_Makefile.dpatch
    - Convert to quilt, add DEP3 header, and rename to 01_Makefile.patch.
    - Tidy up build flags and fix linking order.
    - Honor DESTDIR variable.
    - Drop unnecessary -lm from LIBS.
  * debian/patches/fix_resource_leaks.patch
    - New patch; call fclose() on all the files we fopen().
  * debian/patches/fix_-Wpointer-to-int-cast.patch
    - New patch; fix compiler warnings.
  * debian/rules
    - Add get-orig-source target.
    - Update to use dh.
    - Add override_dh_auto_build target to use CFLAGS and LDFLAGS from
      dpkg-buildflags.
    - Add override_dh_auto_install target to set PREFIX to /usr and use
      LDFLAGS from dpkg-buildflags.
  * debian/source/format
    - New file; use 3.0 (quilt).
  * debian/watch
    - Bump version to 3.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Wed, 11 Feb 2015 09:02:30 -0600

wmget (0.6.0-3) unstable; urgency=low

  * QA upload.
  * Replace build-dependency on x-dev by x11proto-core-dev (Closes: #515406).
  * Change menu section to "Applications/Network/File Transfer".

 -- Ralf Treinen <treinen@debian.org>  Sat, 21 Feb 2009 08:54:25 +0100

wmget (0.6.0-2) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#352435); set maintainer to Debian QA Group.
  * Switch to debhelper 5.
  * Remove build dependency on libc6-dev; it's build-essential.
  * debian/rules
    - Pass CFLAGS to the upstream Makefile for DEB_BUILD_OPTIONS=noopt.
    - Let dh_strip handle DEB_BUILD_OPTIONS=nostrip.
  * debian/watch
    - Add.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Wed,  1 Mar 2006 20:39:22 +0100

wmget (0.6.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #347081).

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 21 Jan 2006 11:10:41 +0100

wmget (0.6.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switch to libcurl3-dev (Closes: #279454).

 -- Domenico Andreoli <cavok@debian.org>  Wed, 22 Dec 2004 18:08:27 +0100

wmget (0.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #252717).
  * Move binary to /usr/bin from /bin (Closes: #227175).
  * Change maintainer email.

 -- Rafal Zawadzki <bluszcz@jabberpl.org>  Sat,  5 Jun 2004 00:34:50 +0200

wmget (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * Follow HTTP redirects (Closes: #162989).
  * Fix error when invoking a download from command line (Closes: #176558).

 -- Rafal Zawadzki <bluszcz@ats.com.pl>  Thu,  9 Feb 2003 09:37:38 +0200

wmget (0.4.4-2) unstable; urgency=low

  * Fix debian/control file (Closes: #165559).

 -- Rafal Zawadzki <bluszcz@ats.com.pl>  Tue, 29 Oct 2002 11:58:20 +0200

wmget (0.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Rafal Zawadzki <bluszcz@ats.com.pl>  Thu, 20 Jun 2002 15:08:41 +0200

wmget (0.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Rafal Zawadzki <bluszcz@ats.com.pl>  Tue, 18 Jun 2002 09:34:08 +0200

wmget (0.4.2-2) unstable; urgency=low

  * Compile errors on hppa, patch by LaMont Jones (lamont@security.hp.com),
    (Closes: #150003).

 -- Rafal Zawadzki <bluszcz@ats.com.pl>  Mon, 17 Jun 2002 11:50:02 +0200

wmget (0.4.2-1) unstable; urgency=low

  * Initial release.

 -- Rafal Zawadzki <bluszcz@ats.com.pl>  Fri, 31 May 2002 10:54:37 +0200
