=== debian/control ===
Source: wmget
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 9),
               libcurl4-openssl-dev,
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               x11proto-core-dev
Standards-Version: 3.9.6
Homepage: http://amtrickey.net/wmget/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmget.git
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmget.git

Package: wmget
Architecture: any
Depends: curl, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: Background download manager in a Window Maker dock app
 wmget is a dock app for the GNU Window Maker window manager
 (or one of the many other WM's which support dockapps) which
 makes it more convenient to perform long downloads in the background.
 It uses the excellent libcurl library, part of the cURL automated-download
 program, to perform file retrieval.
