=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
		LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr \
		LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

get-orig-source:
	uscan --verbose --force-download --rename
