=== debian/watch ===
version=3
http://amtrickey.net/download/wmget-(.*)-src\.tar\.gz
