=== debian/changelog ===
wmget (0.6.1-1build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 08:54:56 +0000

wmget (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Add dh-autoreconf and pkg-config to Build-Depends.
    - Bump Standards-Version to 3.9.7; no changes required.
    - Update Homepage.
    - Update Vcs-Browser to use https protocol.
  * debian/copyright
    - Update Upstream-Contact and Source.
  * debian/docs
    - Remove NEWS.
  * debian/patches
    - Remove directory; patches applied upstream, or, in the case of
      01_Makefile.patch, unnecessary due to switch to autotools.
  * debian/rules
    - Use dh-autoreconf and remove override_dh_auto_{build,install} targets
      made unnecessary by switch to autotools.
    - Enable all hardening flags.
    - Update get-orig-source target.
  * debian/rules
    - Add override_dh_installchangelogs target to install NEWS as upstream
      changelog.
  * debian/watch
    - Update with new download location.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 07 Feb 2016 14:46:54 -0500
