=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: wmget
 Section: x11
 Priority: optional
-Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>
 Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
                libcurl4-openssl-dev,
                libx11-dev,
                libxext-dev,
                libxpm-dev,
+               pkg-config,
                x11proto-core-dev
-Standards-Version: 3.9.6
-Homepage: http://amtrickey.net/wmget/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmget.git
+Standards-Version: 3.9.7
+Homepage: http://windowmaker.org/dockapps/?name=wmget
+Vcs-Browser: https://anonscm.debian.org/git/pkg-wmaker/wmget.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmget.git
 
 Package: wmget
