=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --verbose --force-download --no-symlink
	@if test -e ../wmget-*.download ; then \
		rename -f -v "s/wmget-(.+)\.download/wmget_\1\.orig\.tar\.gz/" \
			../wmget-*.download; \
	fi
