=== debian/watch ===
version=3
http://windowmaker.org/dockapps/?name=wmget \?download=wmget-(.+).tar.gz
